<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class family_dispute extends Model
{
    protected $table = "family_disputes";
    protected $fillable = ['client_id', 'file_id', 'office', 'rqNumber',  'rqdate', 'Attend', 'details', 'created_at', 'updated_at'];
    protected $hidden = ['created_at, updated_at'];


    public function clients()
    {
        return $this->belongsTo('App\Models\Client', 'client_id');
    }


    public function files()
    {
        return $this->belongsTo('App\Models\file', 'file_id');
    }
}


